Attachments
NewBetaAttachment objects represent file attachments associated with an occupancy or a work order in AppFolio®. Skywalk API allows you to obtain the following attachment attributes from AppFolio®.
The Attachment Object
Attributes
appfolioIdstring
AppFolio ID of the attachment.
Example:
"1234"
createdAtstring
Date the attachment was created.
Example:
"2024-01-15T10:30:00Z"
folderNamestring
Name of the folder the attachment is in.
Example:
"Leases"
userNamestring
Name of the user who uploaded the attachment.
Example:
"John Doe"
sharedWithstring[]
List of types the attachment is shared with: Tenant, Owner.
Example:
["Tenant","Owner"]
file.idstring
AppFolio ID of the attachment.
Example:
"1234"
file.signedUrlstring
Signed URL to download the attachment.
Example:
"https://s3.amazonaws.com/appfolio-attachments/example-signed-url"
file.fileNamestring
Name of the attachment file.
Example:
"Lease Agreement.pdf"
file.contentTypestring
MIME content type of the attachment.
Example:
"application/pdf"
file.fileSizeinteger
File size in bytes.
Example:
123456
The Attachment Object
{
"appfolioId": "1234",
"createdAt": "2024-01-15T10:30:00Z",
"folderName": "Leases",
"userName": "John Doe",
"sharedWith": [
"Tenant",
"Owner"
],
"file": {
"id": "1234",
"signedUrl": "https://s3.amazonaws.com/appfolio-attachments/example-signed-url",
"fileName": "Lease Agreement.pdf",
"contentType": "application/pdf",
"fileSize": 123456
}
}
Get All Attachments
GET /v1/attachments?occupancyId=<occupancyId>
GET /v1/attachments?workOrderId=<workOrderId>
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The attachments endpoint returns a list of file attachments for a given occupancy or work order in your AppFolio® account. Provide either occupancyId or workOrderId (not both). This endpoint should respond immediately with your most recently cached data.
Parameters
occupancyIdstring
AppFolio ID of the occupancy to get attachments for.
workOrderIdstring
AppFolio ID of the work order to get attachments for.
Returns
The standard List Response Format with a data property containing an array of Attachment objects.
GET /v1/attachments?occupancyId=734
curl -X GET 'https://api.skywalkapi.com/v1/attachments?occupancyId=734' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
GET /v1/attachments?workOrderId=34794
curl -X GET 'https://api.skywalkapi.com/v1/attachments?workOrderId=34794' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/attachments",
"query": {
"occupancyId": "734"
},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/attachments?cursor=abcdefg"
},
"data": [
{
"appfolioId": "1234",
"createdAt": "2024-01-15T10:30:00Z",
"folderName": "Leases",
"userName": "John Doe",
"sharedWith": [
"Tenant",
"Owner"
],
"file": {
"id": "1234",
"signedUrl": "https://s3.amazonaws.com/appfolio-attachments/example-signed-url",
"fileName": "Lease Agreement.pdf",
"contentType": "application/pdf",
"fileSize": 123456
}
}
]
}